Subject: Re: linux-next: manual merge of the sysctl tree with Linus' tree

From: [email-masked] (Eric W. Biederman)
Date: Tue, 17 Nov 2009 00:21:43 -0800

Stephen Rothwell <[email-masked]> writes:

> Hi Eric,
>
> Today's linux-next merge of the sysctl tree got a conflict in
> net/decnet/sysctl_net_decnet.c between commit
> 887e671f324d9898aaedb29a6ece6c853c394067 ("decnet: netdevice refcount
> leak") from Linus' tree and commit
> f8572d8f2a2ba75408b97dc24ef47c83671795d7 ("sysctl net: Remove unused
> binary sysctl code") from the sysctl tree.
>
> The latter removed the code (function dn_def_dev_strategy()) modified by
> the former, so I just used the latter.  I can carry this fix for a while,
> but it can be fixed by merging v2.6.32-rc7 (or just the
> above commit from Linus' tree - which would merge a much smaller number of
> commits) into the sysctl tree. 

Nice.  I had not realized that bug fix had made it into v2.6.32-rc7.
I will look at merging that to remove the conflict.

I looked at cherry-picking the commit earlier when I saw it in the netdev
tree and my experiment failed.  So I think the only resolution that works
in this case is merging it so the whole history is there.

Eric